List a session's outcomes and grading history
curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"maxIterations": 0,
"organizationId": "<string>",
"outcomeId": "<string>",
"rubric": "<string>",
"sessionId": "<string>",
"status": "pending",
"updatedAt": "2023-11-07T05:31:56Z",
"agentId": "<string>",
"criteria": [
{
"criterionKey": "<string>",
"criterionText": "<string>",
"label": "<string>",
"section": "<string>"
}
],
"endedAt": "2023-11-07T05:31:56Z",
"evaluations": [
{
"iteration": 0,
"outcomeId": "<string>",
"result": "satisfied",
"agentVersionId": "<string>",
"cacheReadTokens": 0,
"cacheWriteTokens": 0,
"costMicros": 0,
"criteria": [
{
"criterionId": "<string>",
"criterionText": "<string>",
"verdict": "<string>",
"weight": 123,
"criterionKey": "<string>",
"evidenceEventIds": [
"<string>"
],
"rationale": "<string>",
"section": "<string>"
}
],
"endEventId": "<string>",
"endedAt": "2023-11-07T05:31:56Z",
"evaluationSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explanation": "<string>",
"inputTokens": 0,
"outputTokens": 0,
"startEventId": "<string>",
"startedAt": "2023-11-07T05:31:56Z"
}
],
"evaluatorAgentId": "<string>",
"historicalRoots": [
{
"createdAt": "2023-11-07T05:31:56Z",
"evaluationSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"historyLimited": true,
"rootStatus": "active",
"executionState": "provisioning",
"snapshotEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stopReason": "<string>"
}
],
"passes": [
{
"evaluationSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iteration": 0,
"outcomeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshotEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedAt": "2023-11-07T05:31:56Z",
"status": "preparing",
"endedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}
],
"rubricRef": "<string>",
"rubricSha256": "<string>",
"terminalExplanation": "<string>",
"terminalResult": "satisfied"
}
],
"nextCursor": "<string>",
"total": 4503599627370495
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "snapshot_stale",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Sessions
List a session's outcomes and grading history
Returns the session’s outcomes and their grading history, so a caller can see what “done” was defined as and how each attempt was scored.
GET
/
managed-agents
/
v2
/
sessions
/
{sessionId}
/
outcomes
List a session's outcomes and grading history
curl --request GET \
--url https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/sessions/{sessionId}/outcomes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"maxIterations": 0,
"organizationId": "<string>",
"outcomeId": "<string>",
"rubric": "<string>",
"sessionId": "<string>",
"status": "pending",
"updatedAt": "2023-11-07T05:31:56Z",
"agentId": "<string>",
"criteria": [
{
"criterionKey": "<string>",
"criterionText": "<string>",
"label": "<string>",
"section": "<string>"
}
],
"endedAt": "2023-11-07T05:31:56Z",
"evaluations": [
{
"iteration": 0,
"outcomeId": "<string>",
"result": "satisfied",
"agentVersionId": "<string>",
"cacheReadTokens": 0,
"cacheWriteTokens": 0,
"costMicros": 0,
"criteria": [
{
"criterionId": "<string>",
"criterionText": "<string>",
"verdict": "<string>",
"weight": 123,
"criterionKey": "<string>",
"evidenceEventIds": [
"<string>"
],
"rationale": "<string>",
"section": "<string>"
}
],
"endEventId": "<string>",
"endedAt": "2023-11-07T05:31:56Z",
"evaluationSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"explanation": "<string>",
"inputTokens": 0,
"outputTokens": 0,
"startEventId": "<string>",
"startedAt": "2023-11-07T05:31:56Z"
}
],
"evaluatorAgentId": "<string>",
"historicalRoots": [
{
"createdAt": "2023-11-07T05:31:56Z",
"evaluationSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"historyLimited": true,
"rootStatus": "active",
"executionState": "provisioning",
"snapshotEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stopReason": "<string>"
}
],
"passes": [
{
"evaluationSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"iteration": 0,
"outcomeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"snapshotEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedAt": "2023-11-07T05:31:56Z",
"status": "preparing",
"endedAt": "2023-11-07T05:31:56Z",
"failureReason": "<string>"
}
],
"rubricRef": "<string>",
"rubricSha256": "<string>",
"terminalExplanation": "<string>",
"terminalResult": "satisfied"
}
],
"nextCursor": "<string>",
"total": 4503599627370495
}{
"code": "invalid_request",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "snapshot_stale",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "managed_agents_unavailable",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Authorizations
Headers
Query Parameters
Response
OK